Subject: Proposals for Capabilities SIGlet

From: [email-masked]
Date: Wed, 24 Nov 93 14:01:43 PST

Since nothing has happened in this space for the past couple of months,
I thought I might as well get the ball rolling again.

If you will recall from the last DLSw Capabilities SIGlet meeting in
September, there were 2 proposals on the table:

    (1) Format of Capabilities Exchange
	
	We agreed upon using GDS Variables with structured subfields.  I am
	in the process of defining the format of these variables and will
	be submitting them to the SIGlet in December.

    (2) FSM for Capabilities Exchange

	IBM offered to submit an initial connection state machine (which
	includes capabilities exchange) to the SIGlet so that others could
	review and offer suggestions.   (As I recall, the capabilities
	exchange was considered to be divorced from the connection setup
	in order to accommodate the exchange after startup.)

In summary:
    - I will submit both syntax and semantics for the capabilities exchange
      format in December,
    - IBM needs to document their intentions re: connection setup and
      capabilities exchange.

Regards,
-----------
Wayne Clark
cisco Systems, Inc.
[email-masked]
415/688-4627